<div class="new-group-details">
  <layout-page-header
    [title]="'MERCHANT_MANAGER.NEW_GROUP.TITLE' | translate"
    [description]="'MERCHANT_MANAGER.NEW_GROUP.DETAILS.DESCRIPTION' | translate"
  ></layout-page-header>
  <layout-card-container>
    <form
      [formGroup]="form"
      (ngSubmit)="onConfirm()"
      class="new-group-details__form"
    >
      <div class="items-container">
        <div class="item">
          <p class="item__title">
            {{ "MERCHANT_MANAGER.NEW_GROUP.DETAILS.GROUP_NAME" | translate }}
          </p>
          <mo-input
            formControlName="name"
            (Blur)="onCheckMerchantGroupName()"
          ></mo-input>
        </div>
        <div class="item">
          <p class="item__title">
            {{ "MERCHANT_MANAGER.NEW_GROUP.DETAILS.SHORT_DESCRIPTION" |
            translate }}
          </p>
          <div class="item__input">
            <mo-input formControlName="short_description"></mo-input>
            <span class="words-limit">
              10 {{ "MERCHANT_MANAGER.NEW_GROUP.DETAILS.WORDS" | translate }}
            </span>
          </div>
        </div>
        <div class="item">
          <p class="item__title">
            {{ "MERCHANT_MANAGER.NEW_GROUP.DETAILS.GROUP_DESCRIPTION" |
            translate }}
          </p>
          <div class="item__input">
            <mo-textarea formControlName="description"></mo-textarea>
            <span class="words-limit">
              200 {{ "MERCHANT_MANAGER.NEW_GROUP.DETAILS.WORDS" | translate }}
            </span>
          </div>
        </div>
      </div>
      <div class="buttons">
        <mo-button
          [text]="
            'MERCHANT_MANAGER.NEW_GROUP.DETAILS.BTN_CANCEL' | translate
          "
          [designClass]="BUTTON_DESIGN_CLASS.OUTLINE_PRIMARY"
          [displayBlock]="true"
          [size]="SIZES.MD"
          [routerLink]="urlMerchantGroup"
          (click)="onCancel()"
        >
        </mo-button>
        <mo-button
          [text]="'MERCHANT_MANAGER.NEW_GROUP.DETAILS.BTN_CONFIRM' | translate"
          [designClass]="BUTTON_DESIGN_CLASS.PRIMARY_WHITE"
          [displayBlock]="true"
          [size]="SIZES.MD"
          [type]="BUTTON_TYPE.SUBMIT"
          [isDisabled]="!(isValidMerchantName$ | async)"
        >
        </mo-button>
      </div>
    </form>
  </layout-card-container>
</div>
